#!/usr/bin/env pytest
###############################################################################
# $Id: safe.py 30250f784292af8d1f0ae95625b06ac482885d86 2018-12-14 10:16:24 +1300 Craig de Stigter $
#
# Project:  GDAL/OGR Test Suite
# Purpose:  Test SAFE driver
# Author:   Delfim Rego <delfimrego@gmail.com>
#
###############################################################################
# Copyright (c) 2009, Even Rouault <even dot rouault at mines-paris dot org>
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.
###############################################################################



import gdaltest

###############################################################################
# Test reading a - fake - SAFE dataset. Note: the tiff files are fake,
# reduced to 1% of their initial size and metadata stripped


def test_safe_1():

    tst = gdaltest.GDALTest(
        'SAFE',
        'SAFE_FAKE/test.SAFE/manifest.safe', 1, 65372)
    return tst.testOpen()


def test_safe_2():

    tst = gdaltest.GDALTest(
        'SAFE', 'SAFE_FAKE/test.SAFE/manifest.safe', 2, 3732)
    return tst.testOpen()


def test_safe_3():

    tst = gdaltest.GDALTest(
        'SAFE',
        'SENTINEL1_DS:data/SAFE_FAKE/test.SAFE:IW_VH', 1, 65372, filename_absolute=1)
    return tst.testOpen()


def test_safe_4():

    tst = gdaltest.GDALTest(
        'SAFE',
        'SENTINEL1_DS:data/SAFE_FAKE/test.SAFE:IW_VV', 1, 3732, filename_absolute=1)
    return tst.testOpen()


def test_safe_5():

    tst = gdaltest.GDALTest(
        'SAFE',
        'SENTINEL1_DS:data/SAFE_FAKE/test.SAFE:IW', 1, 65372, filename_absolute=1)
    return tst.testOpen()



